.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH VIA __drivermansuffix__ __vendorversion__
.SH NAME
via \- VIA unichrome graphics driver
.SH SYNOPSIS
.nf
.B "Section \*qDevice\*q"
.BI "  Identifier \*q"  devname \*q
.B  "  Driver \*qvia\*q"
\ \ ...
.B EndSection
.fi
.SH DESCRIPTION
.B via
is an __xservername__ driver for VIA chipsets with onboard unichrome graphics.
.PP
The
.B via
driver supports the VIA CLE266, KM400/KN400 chipsets, including 2D 
acceleration and the Xv video overlay extensions. Flat panel, TV and VGA
outputs are supported.
.PP
K8M800/K8N800 support is still under development.
.PP
Direct rendering 3D is available as root only, but has some rendering glitches at
this time. Also there is an XvMC client library for hardware MPEG1 / MPEG2 decoding 
acceleration available on the CLE266 chipset that uses the Direct
Rendering Infrastructure, DRI. The XvMC client library implements a nonstandard
\*qVLD\*q extension to the XvMC standard. The current Direct Rendering Manager 
Linux kernel module is available
at dri.sourceforge.net.
.PP
Only a limited number of resolutions are supported at 60, 75, 85, 100 and
120Hz (save memory bandwidth limitations): 640x480, 800x600, 1024x768, 
1152x864, 1280x1024 and 1600x1200. Another range of resolutions is only
possible at 60Hz: 720x480, 720x576, 848x480, 856x480, 1024x512, 1024x576,
1280x768, 1280x960, 1400x1050 and 1440x1050. This behaviour will change in
the not too distant future.
.PP
.SH CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general configuration
details.  This section only covers configuration details specific to this
driver.
.PP
The following driver
.B options
are supported
.TP
.BI "Option \*qNoAccel\*q \*q" boolean \*q
Disable or enable acceleration. Default: acceleration is enabled.
.TP
.BI "Option \*qHWCursor\*q \*q" boolean \*q
Disable or enable use of hardware cursors. The default is enabled.
.TP
.BI "Option \*qSWCursor\*q \*q" boolean \*q
Disable or enable the use of a software cursor. The default is disabled.
.TP
.BI "Option \*qShadowFB\*q \*q" boolean \*q
Use a shadow frame buffer. This is required when rotating the display,
but otherwise defaults to disabled.
.TP
.BI "Option \*qVideoRAM\*q \*q" boolean \*q
Override the VideoRAM auto detection. This should never be needed.
.TP
.BI "Option \*qRotate\*q \*q" string \*q
Rotate the display either clockwise ("CW") or counter clockwise ("CCW").
Rotation is only supported unaccelerated.
.TP
.BI "Option \*qActiveDevice\*q \*q" string \*q
Specify the active device combination. Any string containing "CRT", "LCD", "TV"
should be possible. The default is to use what is detected. The driver is
currently unable to use LCD and TV simultaneously, and will favour the LCD.
.TP
.BI "Option \*qLCDDualEdge\*q \*q" boolean \*q
Use dual edge mode to set the LCD.
.TP
.BI "Option \*qCenter\*q \*q" boolean \*q
Disable or enable image centering on DVI displays.
.TP
.BI "Option \*qPanelSize\*q \*q" string \*q
Specify the size (width x height) of the LCD panel attached to the
system. Sizes 640x480, 800x600, 1024x768, 1280x1024, and 1400x1050
are supported.
.TP
.BI "Option \*qTVDotCrawl\*q \*q" boolean \*q
Disable or enable dotcrawl.
.TP
.BI "Option \*qTVDeflicker\*q \*q" integer \*q
Specify deflicker setting for TV output. Valid values are 0,1,2
0) No deflicker, 1) 1:1:1 deflicker, 2) 1:2:1 deflicker.
.TP
.BI "Option \*qTVType\*q \*q" string \*q
Specify TV output format. The driver currently supports "NTSC" and
"PAL" timings only.
.TP
.BI "Option \*qTVOutput\*q \*q" string \*q
Specify which TV output to use. The driver supports "S-Video", "Composite",
"SC", "RGB" and "YCbCr" outputs. Note that on many boards the composite
video port is shared with audio out and jumper selected.
.TP
.BI "Option \*qTVVScan\*q \*q" string \*q
Specify whether to underscan the TV image (bordering it with black), or
overscan it (losing the edges of the picture). Possible values are "under"
(not currently functional) and "over".
.TP
.BI "Option \*qDisableVQ\*q \*q" boolean \*q
Disable or enable the use of VQ. VQ is enabled by default.
.TP
.BI "Option \*qDRIXINERAMA\*q \*q" boolean \*q
Set DRI Xinerama mode. Currently unsupported.
.TP
.BI "Option \*qEnableAGPDMA\*q \*q" boolean \*q
Enable the AGP DMA functionality in DRM. This requires that DRI is enabled
and will force 2D acceleration to use AGP DMA. The XvMC DRI client will also
make use of this to consume much less CPU. This does not work with the current
3D driver, though. Therefore it is off by default. It is also mutually exclusive
with option \*qAllowInsecureDRI\*q, so if that option is enabled, AGP DMA
will be turned off.
.TP
.BI "Option \*qNoAGPFor2D\*q \*q" boolean \*q
With this option on, 2D acceleration will not use AGP DMA even if it is enabled.

.SH "BUGS"
Switching virtual terminals when an OpenGL DRI client is running may cause
subsequent rendering errors or server crash. XvMC DRI does not suffer from this.
.SH "SEE ALSO"
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), xorgconfig(__appmansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__)
.SH AUTHORS
Authors include: ...
